> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fuse.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns the liquidity sources enabled for the chain



## OpenAPI

````yaml /api-references/trade-api-merged.yaml get /api/v1/trade/sources
openapi: 3.0.0
info:
  title: Trade API V1 & V2
  version: 1.0.0
  description: >
    Integrate advanced trading functionality into your application with our
    comprehensive Trade API.

    Powered by [voltage.finance](https://voltage.finance/) DEX


    ### V1 Features

    - Get price changes over custom intervals

    - Fetch current and historical asset prices


    ### V2 Enhancements

    - Powered by [voltage.finance](https://voltage.finance/) DEX

    - Real-time indicative transaction prices

    - Explore available liquidity sources

    - Obtain quotes for ERC20 token swaps


    ### Quick Start

    1. Get your API key from the [Console](https://console.fuse.io/build)

    2. Follow our [Getting Started](developers/fusebox/fusebox.mdx) guide

    3. Add your `apiKey` to all request query params


    ### Key Endpoints

    - `/api/v0/trade/price/{tokenAddress}`: Get latest token price (V1)

    - `/api/v0/trade/pricechange/{tokenAddress}`: Get price changes (V1)

    - `/api/v1/trade/price`: Get indicative transaction price (V2)

    - `/api/v1/trade/quote`: Get ERC20 token swap quotes (V2)

    - `/api/v1/trade/sources`: List available liquidity sources (V2)


    For detailed documentation, code snippets, and integration examples, refer
    to our comprehensive API guide.
servers:
  - url: https://api.fuse.io
    description: Production server
security: []
tags:
  - name: V1 Price
  - name: V1 Price Change
  - name: V1 Stats
  - name: V2 Swap
paths:
  /api/v1/trade/sources:
    get:
      tags:
        - V2 Swap
      summary: Returns the liquidity sources enabled for the chain
      operationId: getLiquiditySources
      parameters:
        - $ref: '#/components/parameters/V2ApiKey'
      responses:
        '200':
          $ref: '#/components/responses/V2LiquiditySourcesResponse'
components:
  parameters:
    V2ApiKey:
      name: apiKey
      in: query
      required: true
      schema:
        type: string
      description: Your Public API key.
  responses:
    V2LiquiditySourcesResponse:
      description: An array of liquidity sources
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/V2LiquiditySource'
  schemas:
    V2LiquiditySource:
      type: object
      properties:
        name:
          type: string
        proportion:
          type: string

````